default_stages:
  - commit
repos:
  - repo: https://github.com/jumanjihouse/pre-commit-hooks
    rev: 2.1.6
    hooks:
      - id: git-check
  - repo: local
    hooks:
      - id: reek
        name: Find ruby code smells
        description: Use reek to find ruby code smells
        entry: bundle exec reek
        args: [--force-exclusion, --single-line, --sort-by=smelliness]
        language: system
        types: ['ruby']
      - id: rubocop
        name: Check Ruby style with rubocop
        description: Enforce Ruby style guide with rubocop
        entry: bundle exec rubocop
        language: system
        types: ['ruby']
        exclude: \.lock|\.json
      - id: rspec
        name: Run unit tests with rspec
        description: Enforce tests passing with rspec
        entry: bundle exec rspec
        language: system
        types: ['ruby']
        pass_filenames: false
        args:
          - --tag=~integration
        stages: [push]
      - id: terraform
        name: Check Terraform code
        description: Enforce Terraform style guide
        entry: terraform fmt
        args: [-write=false, -diff, -check]
        language: system
        types: [terraform]
        exclude: \.lock\.hcl
